Tag invoice payments
curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/invoices/payments/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key_values": [
{
"key": "department",
"value": "sales",
"dimension_display_name": "Department",
"value_display_name": "Sales Department"
}
],
"transaction_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/invoices/payments/tags"
payload = {
"key_values": [
{
"key": "department",
"value": "sales",
"dimension_display_name": "Department",
"value_display_name": "Sales Department"
}
],
"transaction_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
key_values: [
{
key: 'department',
value: 'sales',
dimension_display_name: 'Department',
value_display_name: 'Sales Department'
}
],
transaction_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/invoices/payments/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
]
}""Invoice Payments
Tag invoice payments
Tag multiple invoice payments with a custom tag. Payments can be tagged in bulk or individually with this endpoint.
POST
/
v1
/
businesses
/
{businessId}
/
invoices
/
payments
/
tags
Tag invoice payments
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json
Path Parameters
The UUID of the business to tag payments for
Body
application/json
Response
Contains a collection of tags as defined by the ApiTag schema. This structure is used to encapsulate multiple tags in API responses or requests.
A list of tags associated with a taggable object.
Show child attributes
Show child attributes
āI